%define name keyutils
%define major 1
%define minor 8

%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		keyutils
Version:	1.6
Release:	%mkrel 2
Summary:	Linux Key Management Utilities
Group:		System/Base
License:	LGPLv2+
URL:		http://people.redhat.com/~dhowells/keyutils/
Source:		http://people.redhat.com/~dhowells/keyutils/keyutils-%{version}.tar.bz2
Patch0:		keyutils-request-key-conf-add-cifs.upcall.patch

%description
Utilities to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.

%package -n	%{libname}
Summary:	Linux Key Management Utilities
Group:		System/Libraries

%description -n	%{libname}
Librarie to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.

%package -n	%{devname}
Summary:	Developement files for %{libname}
Group:		Development/Libraries
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}keyutils-static-devel

%description -n	%{devname}
Developement files for %{libname}

%prep
%setup -q
%patch0 -p1

%build
%{make} -j1 ETCDIR=%{_sysconfdir} BINDIR=/bin SBINDIR=/sbin LIBDIR=/%{_lib} \
	USRLIBDIR=%{_libdir} SHAREDIR=%{_datadir}/%{name} INCLUDEDIR=%{_includedir} \
	CFLAGS='%{optflags}' LDFLAGS='%{ldflags}'

%install
%{__make} NO_ARLIB=1 ETCDIR=%{_sysconfdir} BINDIR=/bin SBINDIR=/sbin LIBDIR=/%{_lib} \
	  USRLIBDIR=%{_libdir} SHAREDIR=%{_datadir}/%{name} INCLUDEDIR=%{_includedir} \
	  DESTDIR=%{buildroot} install

%files
%doc README LICENCE.GPL LICENCE.LGPL
%config(noreplace) %{_sysconfdir}/request-key.conf
/bin/keyctl
/sbin/request-key
/sbin/key.dns_resolver
%{_mandir}/man1/keyctl.1.*
%{_mandir}/man5/request-key.conf.5.*
%{_mandir}/man8/request-key.8.*
%{_mandir}/man8/key.dns_resolver.8.*
%{_datadir}/%{name}/request-key-debug.sh

%files -n %{libname}
/%{_lib}/lib%{name}.so.%{major}
/%{_lib}/lib%{name}.so.%{major}.%{minor}

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
/%{_lib}/pkgconfig/lib%{name}.pc
%{_mandir}/man3/*.3.*
%{_mandir}/man7/*.7.*


%changelog
* Thu Sep 12 2019 tex - 1.6-2pclos2019
- rebuild against updates

* Mon May 06 2019 tex - 1.6-1pclos2019
- new version: 1.6
